/**
 * generated by Xtext 2.19.0
 */
package fr.istic.mML;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>CSV Separator</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link fr.istic.mML.CSVSeparator#getSeparator <em>Separator</em>}</li>
 * </ul>
 *
 * @see fr.istic.mML.MMLPackage#getCSVSeparator()
 * @model
 * @generated
 */
public interface CSVSeparator extends EObject
{
  /**
   * Returns the value of the '<em><b>Separator</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Separator</em>' attribute.
   * @see #setSeparator(String)
   * @see fr.istic.mML.MMLPackage#getCSVSeparator_Separator()
   * @model
   * @generated
   */
  String getSeparator();

  /**
   * Sets the value of the '{@link fr.istic.mML.CSVSeparator#getSeparator <em>Separator</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Separator</em>' attribute.
   * @see #getSeparator()
   * @generated
   */
  void setSeparator(String value);

} // CSVSeparator
